Bug 983933 - "gluster volume statedump" command not working as expected
"gluster volume statedump" command not working as expected
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.1
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
SATHEESARAN
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 06:36 EDT by spandura
Modified: 2015-12-03 12:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 12:15:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandura 2013-07-12 06:36:16 EDT
Description of problem:
=======================
"gluster volume statedump <volume_name>" and "gluster volume statedump <volume_name> all" not generating statedump for nfs and self-heal-daemon process. 

It is reporting the statedumps brick process only. 


Version-Release number of selected component (if applicable):
=============================================================
root@king [Jul-12-2013-16:03:15] >rpm -qa | grep glusterfs-server
glusterfs-server-3.4.0.12rhs.beta4-1.el6rhs.x86_64

root@king [Jul-12-2013-16:03:19] >gluster --version
glusterfs 3.4.0.12rhs.beta4 built on Jul 11 2013 23:37:17


How reproducible:
===================
Often

Steps to Reproduce:
====================
1. Create a replicate volume 1 x 2

2. Start the volume. 

3. execute : "gluster volume statedump <volume_name>"

4. execute : "gluster volume statedump <volume_name> all" 

Actual results:
===============
Statedumps not generated for nfs and self-heal-daemon process.
Comment 2 Vivek Agarwal 2015-12-03 12:15:50 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.